AppendVertex Пример |
Sub Example_AppendVertex() ' Этот пример создает ломаную линию в пространстве модели. ' Затем добавляет в конец вершину к ломаной линии. Dim plineObj As AcadPolyline Dim points(0 To 14) As Double ' Определите 2-ые точки ломаной линии points(0) = 1: points(1) = 1: points(2) = 0 points(3) = 1: points(4) = 2: points(5) = 0 points(6) = 2: points(7) = 2: points(8) = 0 points(9) = 3: points(10) = 2: points(11) = 0 points(12) = 4: points(13) = 4: points(14) = 0 ' Создайте легкий объект Polyline в пространстве модели Set plineObj = ThisDrawing.ModelSpace.AddPolyline(points) ZoomAll MsgBox "Добавьте в конец вершину 4, 1, 0.", , "AppendVertex Пример" Dim newVertex(0 To 2) As Double newVertex(0) = 4: newVertex(1) = 1: newVertex(2) = 0 plineObj.AppendVertex newVertex ZoomAll MsgBox "Вершина 4, 1, 0 как добавлено в конец.", , "AppendVertex Пример" End Sub